Page MenuHomePhabricator

efl_pack: move layout,updated event to Efl.Pack_Layout
ClosedPublic

Authored by YOhoho on Feb 11 2019, 7:57 AM.

Details

Summary

'layout,updated' event is more suitable for Efl.Pack_Layout which have
layout_update method.

Test Plan

make

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Feb 11 2019, 7:57 AM
YOhoho requested review of this revision.Feb 11 2019, 7:57 AM
segfaultxavi requested changes to this revision.Feb 11 2019, 10:04 AM

Makes sense, but does this build? The event name changes from EFL_PACK_EVENT_LAYOUT_UPDATED to EFL_PACK_LAYOUT_EVENT_LAYOUT_UPDATED, no?

This revision now requires changes to proceed.Feb 11 2019, 10:04 AM

@segfaultxavi
Because of eo_prefix: efl_pack;, event name is not changed.

segfaultxavi accepted this revision.Feb 12 2019, 2:05 AM

Ohhh, sorry!

This revision is now accepted and ready to land.Feb 12 2019, 2:05 AM
Jaehyun_Cho accepted this revision.Feb 13 2019, 7:57 PM
This revision was automatically updated to reflect the committed changes.